Subject: bug#74619: macOS: <ns-show-prefs> displayed as keybinding for \\[customize] on emacs -nw

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Dec 2024 18:22:11 +0200

> Cc: Gerd Möllmann <[email-masked]>,
>  [email-masked]
> From: Robert Pluim <[email-masked]>
> Date: Fri, 06 Dec 2024 16:16:19 +0100
> 
> >>>>> On Fri, 6 Dec 2024 22:46:23 +0900, Yoichi Nakayama <[email-masked]> said:
> 
>     Yoichi> I think it is not necessary to call `x-setup-function-keys` for emacs -nw,
>     Yoichi> because the docstring says that it is for graphical frames.
>     Yoichi> Just moving the `make-non-key-event` calls in `x-setup-function-keys` to the
>     Yoichi> toplevel of term/common-win.el fixes the problem.
> 
> If that works, ok. It does feel a little hacky to just stick stuff at
> the toplevel of term/common-win.el. What do the maintainers think?
> (would it work to move them to term/ns-win.el instead?)

I admit that I don't understand the issue, and not how an NS-specific
problem is solved in common-win.el.  Can you summarize the
discussion's conclusions till now?